php-kafka/php-simple-kafka-lib

PHP Simple Kafka library

Fund package maintenance!
nick-zh

v0.1.2 2021-09-07 13:11 UTC

This package is auto-updated.

Last update: 2022-05-07 14:29:53 UTC


README

CircleCI Maintainability Test Coverage Latest Stable Version Latest Unstable Version
Join the chat at https://gitter.im/php-kafka/php-simple-kafka-lib

Description

This is a library that makes it easier to use Kafka in your PHP project.

This library relies on php-kafka/php-simple-kafka-client
Avro support relies on flix-tech/avro-serde-php
The documentation of the php extension,
can help out to understand the internals of this library.

Requirements

  • php: ^7.3|^8.0
  • ext-simple_kafka_client: >=0.1.0
  • librdkafka: >=1.4.0

Installation

composer require php-kafka/php-simple-kafka-lib

Enable Avro support

If you need Avro support, run:

composer require flix-tech/avro-serde-php "~1.4"

Credits

This library was inspired by jobcloud/php-kafka-lib 😍

Examples

Examples can be found here